<div class="sidebar" data-color="danger" data-background-color="white">
    <app-sidebar-cmp></app-sidebar-cmp>
    <div class="sidebar-background"></div>
</div>

<div class="main-panel">
    <app-navbar-cmp></app-navbar-cmp>
    <div class="main-content">
        <div class="container-fluid">
            <div class="row">

                <div class="col-md-11" id="contenido">

                    <form (ngSubmit)="generarPDF()" #forms="ngForm">
                        <div>
                            <div class="card">
                                <div class="card-header card-header-muted card-header-icon">
                                    <div class="card-icon">
                                        <i class="material-icons">content_paste</i>
                                    </div>
                                    <h4 class="card-title">Encuesta cliente</h4>

                                </div>



                                <div>
                                    <div class="card-body">


                                        <br>
                                        <h4 class="txtB text-center"><b>Información personal</b></h4>
                                        <hr>
                                        <div class="row">

                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Categoria" name="category" [(ngModel)]="form.category" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Sub categoria" name="subCategory" [(ngModel)]="form.subCategory" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Valor producto" name="costProduct" [(ngModel)]="form.costProduct" required>

                                                </mat-form-field>
                                            </div>
                                            <!-- <div class="col-md-3">
                                            
                                        </div> -->
                                        </div>
                                        <hr>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Código afiliado" name="category" [(ngModel)]="form.codeAffiliate" required>

                                                </mat-form-field>
                                            </div>

                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Nombre afiliado" name="nameAffilate" [(ngModel)]="form.nameAffiliate" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Contacto afiliado" name="contactPerson" [(ngModel)]="form.contactPerson" required>

                                                </mat-form-field>
                                            </div>
                                            <!-- <div class="col-md-4">
                                            
                                        </div> -->
                                            <!-- <div class="col-md-3">
                                           
                                        </div> -->
                                        </div>
                                        <hr>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Teléfono afiliado" name="costProduct" [(ngModel)]="form.phoneContact" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Tipo de tasa" name="typeRate" [(ngModel)]="form.typeRate" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Tasa" name="rate" [(ngModel)]="form.rate" required>

                                                </mat-form-field>
                                            </div>
                                            <!-- <div class="col-md-3">
                                           
                                        </div>
                                        <div class="col-md-3">
                                            
                                        </div>
                                        <div class="col-md-3">
                                            
                                        </div> -->
                                        </div>
                                        <hr>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Tipo bien/servicio" name="typeService" [(ngModel)]="form.typeService" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Destinación bien" name="destinationService" [(ngModel)]="form.destinationService" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Número de pagaré" name="numberPay" [(ngModel)]="form.numberPay" required>

                                                </mat-form-field>
                                            </div>
                                            <!--                                         
                                        <div class="col-md-3">
                                            
                                        </div>
                                        <div class="col-md-3">
                                            
                                        </div>
                                        <div class="col-md-3">
                                            
                                        </div>
                                        <div class="col-md-3">
                                            
                                        </div> -->
                                        </div>
                                        <hr>

                                        <div class="row">
                                            <div class="col-md-4">
                                                <mat-form-field>
                                                    <mat-select placeholder="Tipo documento" name="typeDocument" [(ngModel)]="form.typeDocument">
                                                        <mat-option>
                                                            Cc
                                                        </mat-option>
                                                        <mat-option>
                                                            Pasaporte
                                                        </mat-option>
                                                    </mat-select>
                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Número documento" type="number" name="numberDocument" [(ngModel)]="form.numberDocument" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Primer nombre" name="firstName" [(ngModel)]="form.firstName" required>

                                                </mat-form-field>
                                            </div>

                                        </div>
                                        <hr>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Segundo nombre" name="secondName" [(ngModel)]="form.secondName" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Primer apellido" name="lastName" [(ngModel)]="form.lastName" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Segundo apellido" name="secondLastName" [(ngModel)]="form.secondLastName" required>

                                                </mat-form-field>
                                            </div>
                                        </div>
                                        <hr>

                                        <div class="row">

                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput type="date" name="date" [(ngModel)]="form.date" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Departamento nacimiento" name="date" [(ngModel)]="form.deparmentBirth" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Ciudad de nacimiento" name="cityBirth" [(ngModel)]="form.cityBirth" required>

                                                </mat-form-field>
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="row">


                                            <div class="col-md-4">
                                                <mat-form-field>
                                                    <mat-select placeholder="Genero" name="gender" [(ngModel)]="form.gender">
                                                        <mat-option>
                                                            Masculino
                                                        </mat-option>
                                                        <mat-option>
                                                            Femenino
                                                        </mat-option>
                                                        <mat-option>
                                                            Otro
                                                        </mat-option>
                                                    </mat-select>
                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Personas acargo" name="dependents" [(ngModel)]="form.dependents" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Número de hijos" type="number" name="numberSon" [(ngModel)]="form.numberSon" required>

                                                </mat-form-field>
                                            </div>
                                        </div>
                                        <hr>
                                        <div class="row">

                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Tipo de vivienda" name="typeLiving" [(ngModel)]="form.typeLiving" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Estado Civil" name="state" [(ngModel)]="form.state" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Dirección" name="adress" [(ngModel)]="form.adress" required>

                                                </mat-form-field>
                                            </div>
                                            <!-- <div class="col-md-3">
                                            
                                        </div> -->
                                        </div>
                                        <hr>

                                        <div class="row">
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Teléfono de vivienda" name="phoneLiving" [(ngModel)]="form.phoneLiving" required>

                                                </mat-form-field>
                                            </div>

                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Fecha expedición documento" type="date" name="expirationDate" [(ngModel)]="form.expirationDate" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="País de residencia" name="contryLiving" [(ngModel)]="form.contryLiving" required>

                                                </mat-form-field>
                                            </div>
                                            <!-- <div class="col-md-3">
                                            
                                        </div>
                                        <div class="col-md-3">
                                            
                                        </div> -->
                                        </div>
                                        <hr>
                                        <div class="row">
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Nivel de estudios" name="levelStudies" [(ngModel)]="form.levelStudies" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Celular" name="phone" [(ngModel)]="form.phone" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Correo" name="email" [(ngModel)]="form.email" required>

                                                </mat-form-field>
                                            </div>

                                        </div>
                                        <hr>

                                        <div class="row">


                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Departamento" name="deparment" [(ngModel)]="form.deparmetn" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Ciudad" name="city" [(ngModel)]="form.city" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Barrio" name="neighborhood" [(ngModel)]="form.neighborhood" required>

                                                </mat-form-field>
                                            </div>
                                        </div>
                                        <hr>

                                        <div class="row">

                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Estrato" type="number" name="socialStratum" [(ngModel)]="form.socialStratum" required>

                                                </mat-form-field>
                                            </div>
                                            <div class="col-md-4">
                                                <mat-form-field class="example-full-width">
                                                    <input matInput placeholder="Timpo en vivienda actual" name="timeLiving" [(ngModel)]="form.timeliving" required>

                                                </mat-form-field>
                                            </div>

                                        </div>
                                    </div>
                                    <hr>
                                </div>
                            </div>

                            <div class="card">
                                <br>

                                <div class="card-body">
                                    <h4 class="txtB text-center"><b>Información Economica</b></h4>

                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Actividad Económica" name="typeActivity" [(ngModel)]="form.typeActivity" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Tipo de actividad" name="typeContract" [(ngModel)]="form.typeContract" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Nombre empresa" name="company" [(ngModel)]="form.company" required>

                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Departamento" name="deparmentCompany" [(ngModel)]="form.deparmentCompany" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Ciudad" name="cityCompany" [(ngModel)]="form.cityCompany" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Tiempo en trabajo actual" name="timeCompany" [(ngModel)]="form.timeCompany" required>

                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Cargo" name="position" [(ngModel)]="form.position" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field>
                                                <mat-select placeholder="Eps" name="eps" [(ngModel)]="form.eps">
                                                    <mat-option>
                                                        eps1
                                                    </mat-option>
                                                    <mat-option>
                                                        eps2
                                                    </mat-option>
                                                    <mat-option>
                                                        eps3
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field>
                                                <mat-select placeholder="Fondo de pensión" name="pension" [(ngModel)]="form.pension">
                                                    <mat-option>
                                                        Pension 1
                                                    </mat-option>
                                                    <mat-option>
                                                        Pension 2
                                                    </mat-option>
                                                    <mat-option>
                                                        Pension 3
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>
                                        </div>

                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Fecha de vinculación" name="datePension" type="date" [(ngModel)]="form.datePension" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Dirección de empresa" name="adressCompany" [(ngModel)]="form.adressCompany" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Teléfono empresa" name="phoneCompany" [(ngModel)]="form.phoneCompany" required>

                                            </mat-form-field>
                                        </div>

                                    </div>
                                    <hr>
                                    <div class="row">

                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Salario básico" name="salary" [(ngModel)]="form.salary" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Honorarios" name="fee" [(ngModel)]="form.fee" required>

                                            </mat-form-field>
                                        </div>

                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Comisiones" name="comissions" [(ngModel)]="form.commissions" required>

                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <hr>

                                    <div class="row">

                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Otros ingresos" name="otherSalary" [(ngModel)]="form.otherSalary" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Total ingresos" name="totalSalary" [(ngModel)]="form.totalSalary" required>

                                            </mat-form-field>
                                        </div>

                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Gastos familiaries" name="expeneses" [(ngModel)]="form.expeneses" required>

                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Total egresos" name="totalExpenses" [(ngModel)]="form.totalExpenses" required>

                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <hr>

                                </div>

                            </div>

                            <div class="card">
                                <div class="card-body">
                                    <br>
                                    <h4 class="txtB text-center"><b>Datos pacientes</b></h4>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Paciente" name="Paciente" required>
    
                                            </mat-form-field>
    
    
                                        </div>
                                        <div class="col-md-4">
                                            
                                            <mat-form-field>
                                                <mat-select placeholder="Tipos de documento" name="documento" >
                                                    <mat-option>
                                                        Cédula
                                                    </mat-option>
                                                    <mat-option>
                                                        Pasaporte
                                                    </mat-option>
                                                    <mat-option>
                                                        Tarjeta de identidad
                                                    </mat-option>
                                                </mat-select>
                                            </mat-form-field>
                                            
                                            
    
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="# documento" name="number" required>
    
                                            </mat-form-field>
    
    
                                        </div>



                                    </div>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field>
                                                <mat-select placeholder="Duración tratamiento" name="documento" >
                                                    <mat-option>
                                                        años
                                                    </mat-option>
                                                    <mat-option>
                                                       meses
                                                    </mat-option>
                                                    
                                                </mat-select>
                                            </mat-form-field>
                                        </div>

                                        <div class="col-md-4">
                                            <div class="togglebutton fadeIn">
                                                <label>
                                                   <b> Ortodoncia</b>
                                                      <input type="checkbox" checked=""  name="activo" >
                                                      <span class="toggle fadeIn"></span>
                                                     
                                                    </label>
                                            </div>
                                        </div>
                                        
                                    </div>
                                    <br>
                                    <div class="row">
                                        <div class="col-md-4">
                                            &nbsp;
                                        </div>
                                        <div class="col-md-4">
                                            &nbsp;
                                        </div>
                                        
                                        <div class="col-md-4 text-right">
                                            <button class="btn btn-muted">Agregar Paciente</button>
                                        </div>
                                    </div>
                                                                    
        



                                </div>
                            </div>
                            <br>
                            <div class="card">
                                <div class="card-body">
                                    <br>
                                    <h4 class="txtB text-center"><b>Información adicional</b></h4>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Valor solicitado" name="valueRequested" [(ngModel)]="form.valueRequested" required>

                                            </mat-form-field>


                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Establecimiento" name="place" [(ngModel)]="form.place" required>

                                            </mat-form-field>
                                        </div>
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Plazo" name="limit" [(ngModel)]="form.limit" required>

                                            </mat-form-field>
                                        </div>

                                        <!-- <div class="col-md-3">
                                        
                                    </div> -->

                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-md-4">
                                            <mat-form-field class="example-full-width">
                                                <input matInput placeholder="Vendedor" name="seller" [(ngModel)]="form.seller" required>

                                            </mat-form-field>
                                        </div>
                                    </div>
                                    <hr>
                                    <div class="row">
                                        <div class="col-sm-3">
                                            <button class="btn btn-muted" type="submit">Guardar</button>
                                        </div>
                                    </div>

                                </div>
                            </div>

                            <br>




                            <br>
                            <br>







                        </div>

                    </form>


                </div>
            </div>




        </div>
    </div>

</div>